All functions:
  Elements:
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: itoa::Buffer::new
      Src: /src/itoa/tests/test.rs:5,1
    - Dst: Buffer::format
      Src: /src/itoa/tests/test.rs:6,1
    CyclomaticComplexity: 0
    EdgeCount: 0
    ICount: 5
    argCount: 0
    argNames: []
    argTypes: []
    constantsTouched: []
    func_position:
      end: 15
      start: 4
    functionDepth: 1
    functionLinenumber: 4
    functionLinenumberEnd: 15
    functionName: test
    functionSourceFile: /src/itoa/tests/test.rs
    functionUses: 0
    functionsReached:
    - itoa::Buffer::new
    - Buffer::format
    linkageType: ''
    returnType: ''
    signature: ''
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: Buffer::new
      Src: /src/itoa/src/lib.rs:70,1
    CyclomaticComplexity: 0
    EdgeCount: 0
    ICount: 1
    argCount: 0
    argNames: []
    argTypes: []
    constantsTouched: []
    func_position:
      end: 71
      start: 69
    functionDepth: 1
    functionLinenumber: 69
    functionLinenumberEnd: 71
    functionName: Buffer::default
    functionSourceFile: /src/itoa/src/lib.rs
    functionUses: 0
    functionsReached:
    - Buffer::new
    linkageType: ''
    returnType: Buffer
    signature: fn default() -> Buffer
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: Buffer::new
      Src: /src/itoa/src/lib.rs:80,1
    CyclomaticComplexity: 0
    EdgeCount: 0
    ICount: 1
    argCount: 0
    argNames: []
    argTypes: []
    constantsTouched: []
    func_position:
      end: 81
      start: 79
    functionDepth: 1
    functionLinenumber: 79
    functionLinenumberEnd: 81
    functionName: Buffer::clone
    functionSourceFile: /src/itoa/src/lib.rs
    functionUses: 0
    functionsReached:
    - Buffer::new
    linkageType: ''
    returnType: Self
    signature: fn clone(&self) -> Self
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: MaybeUninit::<u8>::uninit
      Src: /src/itoa/src/lib.rs:90,1
    CyclomaticComplexity: 0
    EdgeCount: 0
    ICount: 3
    argCount: 0
    argNames: []
    argTypes: []
    constantsTouched: []
    func_position:
      end: 92
      start: 89
    functionDepth: 0
    functionLinenumber: 89
    functionLinenumberEnd: 92
    functionName: Buffer::new
    functionSourceFile: /src/itoa/src/lib.rs
    functionUses: 3
    functionsReached:
    - MaybeUninit::<u8>::uninit
    linkageType: ''
    returnType: Buffer
    signature: pub fn new() -> Buffer
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: u128::write
      Src: /src/itoa/src/lib.rs:98,1
    - Dst: len
      Src: /src/itoa/src/lib.rs:102,1
    - Dst: hint::unreachable_unchecked
      Src: /src/itoa/src/lib.rs:103,1
    CyclomaticComplexity: 3
    EdgeCount: 3
    ICount: 16
    argCount: 1
    argNames:
    - i
    argTypes:
    - I
    constantsTouched: []
    func_position:
      end: 106
      start: 97
    functionDepth: 0
    functionLinenumber: 97
    functionLinenumberEnd: 106
    functionName: Buffer::format
    functionSourceFile: /src/itoa/src/lib.rs
    functionUses: 1
    functionsReached:
    - hint::unreachable_unchecked
    - u128::write
    - len
    linkageType: ''
    returnType: '&str'
    signature: 'pub fn format<I: Integer>(&mut self, i: I) -> &str'
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: wrapping_add
      Src: /src/itoa/src/lib.rs:18,1
    - Dst: len
      Src: /src/itoa/src/lib.rs:20,1
    - Dst: as_mut_ptr
      Src: /src/itoa/src/lib.rs:21,1
    - Dst: as_ptr
      Src: /src/itoa/src/lib.rs:22,1
    - Dst: ptr::copy_nonoverlapping
      Src: /src/itoa/src/lib.rs:33,1
    - Dst: add
      Src: /src/itoa/src/lib.rs:33,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:33,1
    - Dst: ptr::copy_nonoverlapping
      Src: /src/itoa/src/lib.rs:34,1
    - Dst: add
      Src: /src/itoa/src/lib.rs:34,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:34,1
    - Dst: ptr::copy_nonoverlapping
      Src: /src/itoa/src/lib.rs:44,1
    - Dst: add
      Src: /src/itoa/src/lib.rs:44,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:44,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:52,1
    - Dst: ptr::copy_nonoverlapping
      Src: /src/itoa/src/lib.rs:58,1
    - Dst: add
      Src: /src/itoa/src/lib.rs:58,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:58,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:65,1
    - Dst: len
      Src: /src/itoa/src/lib.rs:69,1
    - Dst: slice::from_raw_parts
      Src: /src/itoa/src/lib.rs:70,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:70,1
    - Dst: str::from_utf8_unchecked
      Src: /src/itoa/src/lib.rs:71,1
    CyclomaticComplexity: 12
    EdgeCount: 12
    ICount: 106
    argCount: 0
    argNames: []
    argTypes: []
    constantsTouched: []
    func_position:
      end: 212
      start: 137
    functionDepth: 0
    functionLinenumber: 137
    functionLinenumberEnd: 212
    functionName: impl_Integer
    functionSourceFile: /src/itoa/src/lib.rs
    functionUses: 0
    functionsReached:
    - wrapping_add
    - slice::from_raw_parts
    - ptr::copy_nonoverlapping
    - '*mut u8::add'
    - str::from_utf8_unchecked
    - as_mut_ptr
    - as_ptr
    - add
    - len
    linkageType: ''
    returnType: ''
    signature: ''
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: write
      Src: /src/itoa/src/lib.rs:14,1
    CyclomaticComplexity: 0
    EdgeCount: 0
    ICount: 5
    argCount: 0
    argNames: []
    argTypes: []
    constantsTouched: []
    func_position:
      end: 241
      start: 223
    functionDepth: 0
    functionLinenumber: 223
    functionLinenumberEnd: 241
    functionName: impl_Integer_size
    functionSourceFile: /src/itoa/src/lib.rs
    functionUses: 0
    functionsReached:
    - write
    linkageType: ''
    returnType: ''
    signature: ''
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: wrapping_add
      Src: /src/itoa/src/lib.rs:18,1
    - Dst: len
      Src: /src/itoa/src/lib.rs:20,1
    - Dst: as_mut_ptr
      Src: /src/itoa/src/lib.rs:21,1
    - Dst: udiv128::udivmod_1e19
      Src: /src/itoa/src/lib.rs:24,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:26,1
    - Dst: write
      Src: /src/itoa/src/lib.rs:28,1
    - Dst: len
      Src: /src/itoa/src/lib.rs:28,1
    - Dst: len
      Src: /src/itoa/src/lib.rs:32,1
    - Dst: ptr::write_bytes
      Src: /src/itoa/src/lib.rs:34,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:34,1
    - Dst: udiv128::udivmod_1e19
      Src: /src/itoa/src/lib.rs:39,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:41,1
    - Dst: write
      Src: /src/itoa/src/lib.rs:44,1
    - Dst: len
      Src: /src/itoa/src/lib.rs:44,1
    - Dst: len
      Src: /src/itoa/src/lib.rs:48,1
    - Dst: ptr::write_bytes
      Src: /src/itoa/src/lib.rs:50,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:50,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:58,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:66,1
    - Dst: len
      Src: /src/itoa/src/lib.rs:70,1
    - Dst: slice::from_raw_parts
      Src: /src/itoa/src/lib.rs:71,1
    - Dst: '*mut u8::add'
      Src: /src/itoa/src/lib.rs:71,1
    - Dst: str::from_utf8_unchecked
      Src: /src/itoa/src/lib.rs:72,1
    CyclomaticComplexity: 14
    EdgeCount: 14
    ICount: 95
    argCount: 0
    argNames: []
    argTypes: []
    constantsTouched: []
    func_position:
      end: 326
      start: 250
    functionDepth: 1
    functionLinenumber: 250
    functionLinenumberEnd: 326
    functionName: impl_Integer128
    functionSourceFile: /src/itoa/src/lib.rs
    functionUses: 0
    functionsReached:
    - udiv128::udivmod_1e19
    - ptr::write_bytes
    - wrapping_add
    - slice::from_raw_parts
    - write
    - '*mut u8::add'
    - str::from_utf8_unchecked
    - as_mut_ptr
    - len
    linkageType: ''
    returnType: ''
    signature: ''
  - BBCount: 0
    BranchProfiles: []
    Callsites: []
    CyclomaticComplexity: 0
    EdgeCount: 0
    ICount: 31
    argCount: 2
    argNames:
    - x
    - y
    argTypes:
    - u128
    - u128
    constantsTouched: []
    func_position:
      end: 22
      start: 7
    functionDepth: 0
    functionLinenumber: 7
    functionLinenumberEnd: 22
    functionName: u128_mulhi
    functionSourceFile: /src/itoa/src/udiv128.rs
    functionUses: 0
    functionsReached: []
    linkageType: ''
    returnType: u128
    signature: 'fn u128_mulhi(x: u128, y: u128) -> u128'
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: u128_mulhi
      Src: /src/itoa/src/udiv128.rs:40,1
    CyclomaticComplexity: 1
    EdgeCount: 1
    ICount: 21
    argCount: 1
    argNames:
    - n
    argTypes:
    - u128
    constantsTouched: []
    func_position:
      end: 48
      start: 34
    functionDepth: 1
    functionLinenumber: 34
    functionLinenumberEnd: 48
    functionName: udivmod_1e19
    functionSourceFile: /src/itoa/src/udiv128.rs
    functionUses: 1
    functionsReached:
    - u128_mulhi
    linkageType: ''
    returnType: (u128, u64)
    signature: 'pub fn udivmod_1e19(n: u128) -> (u128, u64)'
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: itoa::Buffer::new
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:4,1
    - Dst: Buffer::format
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:5,1
    CyclomaticComplexity: 1
    EdgeCount: 1
    ICount: 8
    argCount: 0
    argNames: []
    argTypes: []
    constantsTouched: []
    func_position:
      end: 34
      start: 23
    functionDepth: 1
    functionLinenumber: 23
    functionLinenumberEnd: 34
    functionName: test_itoa
    functionSourceFile: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs
    functionUses: 0
    functionsReached:
    - itoa::Buffer::new
    - Buffer::format
    linkageType: ''
    returnType: ''
    signature: ''
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:3,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:4,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:5,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:6,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:7,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:8,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:9,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:10,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:11,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:12,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:13,1
    - Dst: test_itoa
      Src: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs:14,1
    CyclomaticComplexity: 1
    EdgeCount: 1
    ICount: 3
    argCount: 0
    argNames: []
    argTypes: []
    constantsTouched: []
    func_position:
      end: 51
      start: 36
    functionDepth: 2
    functionLinenumber: 36
    functionLinenumberEnd: 51
    functionName: fuzz_target
    functionSourceFile: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs
    functionUses: 0
    functionsReached:
    - test_itoa
    linkageType: ''
    returnType: ''
    signature: ''
  - BBCount: 0
    BranchProfiles: []
    Callsites:
    - Dst: itoa::Buffer::new
      Src: /src/itoa/benches/bench.rs:8,1
    - Dst: iter
      Src: /src/itoa/benches/bench.rs:10,1
    - Dst: Buffer::format
      Src: /src/itoa/benches/bench.rs:11,1
    - Dst: black_box
      Src: /src/itoa/benches/bench.rs:11,1
    - Dst: black_box
      Src: /src/itoa/benches/bench.rs:12,1
    - Dst: Vec::with_capacity
      Src: /src/itoa/benches/bench.rs:25,1
    - Dst: iter
      Src: /src/itoa/benches/bench.rs:27,1
    - Dst: clear
      Src: /src/itoa/benches/bench.rs:28,1
    - Dst: unwrap
      Src: /src/itoa/benches/bench.rs:29,1
    - Dst: black_box
      Src: /src/itoa/benches/bench.rs:30,1
    CyclomaticComplexity: 0
    EdgeCount: 0
    ICount: 25
    argCount: 0
    argNames: []
    argTypes: []
    constantsTouched: []
    func_position:
      end: 43
      start: 7
    functionDepth: 1
    functionLinenumber: 7
    functionLinenumberEnd: 43
    functionName: benches
    functionSourceFile: /src/itoa/benches/bench.rs
    functionUses: 0
    functionsReached:
    - black_box
    - itoa::Buffer::new
    - clear
    - unwrap
    - Buffer::format
    - iter
    - Vec::with_capacity
    linkageType: ''
    returnType: ''
    signature: ''
Fuzzer filename: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs
Fuzzing method: fuzz_target
report: name
sources:
- function_names:
  - test
  source_file: /src/itoa/tests/test.rs
- function_names:
  - Buffer::default
  - Buffer::clone
  - Buffer::new
  - Buffer::format
  - impl_Integer
  - impl_Integer_size
  - impl_Integer128
  source_file: /src/itoa/src/lib.rs
- function_names:
  - u128_mulhi
  - udivmod_1e19
  source_file: /src/itoa/src/udiv128.rs
- function_names:
  - test_itoa
  - fuzz_target
  source_file: /src/itoa/fuzz/fuzz_targets/fuzz_itoa.rs
- function_names:
  - benches
  source_file: /src/itoa/benches/bench.rs
